LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
XDatabaseParameterListener Interface Referencepublished

allows to intercept value request for parametrized SQL statements. More...

`import "XDatabaseParameterListener.idl";`

Inheritance diagram for XDatabaseParameterListener:

## Public Member Functions
boolean | approveParameter ([in] com::sun::star::form::DatabaseParameterEvent aEvent)
| is invoked when there is a need for parameter values
Public Member Functions inherited from XEventListener
void | disposing ([in] com::sun::star::lang::EventObject Source)
| gets called when the broadcaster is about to be disposed.
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

allows to intercept value request for parametrized SQL statements.

Developers Guide
  Forms - Parameters

## Member Function Documentation

## ◆ approveParameter()

boolean approveParameter | ( | [in] com::sun::star::form::DatabaseParameterEvent | aEvent | ) |

is invoked when there is a need for parameter values

Parameters

  aEvent | the event describing the parameter value request.

Returns
  TRUE when the execution of the parametrized statement should continue, FALSE otherwise.

See also
  com::sun::star::form::DatabaseParameterEvent

The documentation for this interface was generated from the following file:

- com/sun/star/form/XDatabaseParameterListener.idl